package net.mcreator.sword_art_online_mod;

import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.common.registry.GameRegistry;
import net.minecraftforge.fml.common.registry.EntityEntry;
import net.minecraftforge.fml.common.network.NetworkRegistry;
import net.minecraftforge.fml.common.network.IGuiHandler;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.event.FMLServerStartingEvent;
import net.minecraftforge.fml.common.event.FMLPreInitializationEvent;
import net.minecraftforge.fml.common.event.FMLInitializationEvent;
import net.minecraftforge.fml.common.SidedProxy;
import net.minecraftforge.fml.common.Mod.Instance;
import net.minecraftforge.fml.common.Mod.EventHandler;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.common.IWorldGenerator;
import net.minecraftforge.fml.common.IFuelHandler;
import net.minecraftforge.fluids.FluidRegistry;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.client.event.ModelRegistryEvent;

import net.minecraft.world.gen.IChunkGenerator;
import net.minecraft.world.chunk.IChunkProvider;
import net.minecraft.world.biome.Biome;
import net.minecraft.world.World;
import net.minecraft.util.ResourceLocation;
import net.minecraft.potion.Potion;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Item;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.block.Block;

import java.util.function.Supplier;
import java.util.Random;
import java.util.List;
import java.util.ArrayList;

@Mod(modid = sword_art_online_mod.MODID, version = sword_art_online_mod.VERSION)
public class sword_art_online_mod implements IFuelHandler, IWorldGenerator {

	public static final String MODID = "sword_art_online_mod";
	public static final String VERSION = "1.0.0";
	@SidedProxy(clientSide = "net.mcreator.sword_art_online_mod.ClientProxysword_art_online_mod", serverSide = "net.mcreator.sword_art_online_mod.CommonProxysword_art_online_mod")
	public static CommonProxysword_art_online_mod proxy;
	@Instance(MODID)
	public static sword_art_online_mod instance;
	public final List<ModElement> elements = new ArrayList<>();
	public final List<Supplier<Block>> blocks = new ArrayList<>();
	public final List<Supplier<Item>> items = new ArrayList<>();
	public final List<Supplier<Biome>> biomes = new ArrayList<>();
	public final List<Supplier<EntityEntry>> entities = new ArrayList<>();
	public final List<Supplier<Potion>> potions = new ArrayList<>();

	public sword_art_online_mod() {
		FluidRegistry.enableUniversalBucket();
		elements.add(new MCreatorAgilAxe(this));
		elements.add(new MCreatorElucidator(this));
		elements.add(new MCreatorSwordArtOnlineItem(this));
		elements.add(new MCreatorDarkRepulser(this));
		elements.add(new MCreatorLizmace(this));
		elements.add(new MCreatorLamberlight(this));
		elements.add(new MCreatorSachilance(this));
		elements.add(new MCreatorDeathscythe(this));
		elements.add(new MCreatorKleinkatana(this));
		elements.add(new MCreatorSilicadagger(this));
		elements.add(new MCreatorObjecteraser(this));
		elements.add(new MCreatorDemonicgramm(this));
		elements.add(new MCreatorHeatcliffsword(this));
		elements.add(new MCreatorCalibur(this));
		elements.add(new MCreatorGlowarrow(this));
		elements.add(new MCreatorGlowbowBulletHitsPlayer(this));
		elements.add(new MCreatorGlowbowBulletHitsLivingEntity(this));
		elements.add(new MCreatorGlowbow(this));
		elements.add(new MCreatorAlfheimonlineitem(this));
		elements.add(new MCreatorKirito(this));
		elements.add(new MCreatorYui(this));
		elements.add(new MCreatorYUIheartRightClickedInAir(this));
		elements.add(new MCreatorYUIheart(this));
		elements.add(new MCreatorKiritoarmor(this));
		elements.add(new MCreatorSwordartonlinearmor(this));
		elements.add(new MCreatorKleinarmor(this));
		elements.add(new MCreatorAgilarmor(this));
		elements.add(new MCreatorBloodknightsarmor(this));
		elements.add(new MCreatorAsunaarmor(this));
		elements.add(new MCreatorCrystalblock(this));
		elements.add(new MCreatorCrystal(this));
		elements.add(new MCreatorHealtingpotionPotionStartedapplied(this));
		elements.add(new MCreatorHealtingpotion(this));
		elements.add(new MCreatorStrenghtpotionPotionStartedapplied(this));
		elements.add(new MCreatorStrenghtpotion(this));
		elements.add(new MCreatorHealtingcrystalItemInUseTick(this));
		elements.add(new MCreatorHealtingcrystal(this));
		elements.add(new MCreatorHamburger(this));
		elements.add(new MCreatorRawbeef(this));
		elements.add(new MCreatorAgilAxeRecipes(this));
		elements.add(new MCreatorElucidatorRecipes(this));
		elements.add(new MCreatorDarkrepulserrecipes(this));
		elements.add(new MCreatorLizmacerecipes(this));
		elements.add(new MCreatorLamberlihtrecipes(this));
		elements.add(new MCreatorSachilancerecipes(this));
		elements.add(new MCreatorDeathscytherecipes(this));
		elements.add(new MCreatorKleinkatanarecipes(this));
		elements.add(new MCreatorSilicadaggerrecipes(this));
		elements.add(new MCreatorObjecteraserrecipes(this));
		elements.add(new MCreatorDemonicgrammrecipes(this));
		elements.add(new MCreatorAlfheimonlineweapon(this));
		elements.add(new MCreatorSwordArtOnlineItemweapon(this));
		elements.add(new MCreatorHeatcliffswordrecipes(this));
		elements.add(new MCreatorCaliburrecipes(this));
		elements.add(new MCreatorGlowarrowrecipes(this));
		elements.add(new MCreatorGlowbowrecipes(this));
		elements.add(new MCreatorKiritohelmetrecipes(this));
		elements.add(new MCreatorKiritochestplaterecipes(this));
		elements.add(new MCreatorKiritolegginsrecipes(this));
		elements.add(new MCreatorKiritobootsrecipes(this));
		elements.add(new MCreatorKleinbandanarecipes(this));
		elements.add(new MCreatorKleinchestplaterecipes(this));
		elements.add(new MCreatorKleinlegginsrecipes(this));
		elements.add(new MCreatorKleinbootsrecipes(this));
		elements.add(new MCreatorAgilchestplaterecipes(this));
		elements.add(new MCreatorAgillegginsrecipes(this));
		elements.add(new MCreatorAgilbootsrecipes(this));
		elements.add(new MCreatorBloodknightcollarrecipes(this));
		elements.add(new MCreatorBloodknightchestplaterecipes(this));
		elements.add(new MCreatorBloodknightlegginsrecipes(this));
		elements.add(new MCreatorBloodknightbootsrecipes(this));
		elements.add(new MCreatorAsunachestplaterecipes(this));
		elements.add(new MCreatorAsunalegginsrecipes(this));
		elements.add(new MCreatorAsunabootsrecipes(this));
		elements.add(new MCreatorCrystalrecipes(this));
		elements.add(new MCreatorHealtingcrystalrecipes(this));
		elements.add(new MCreatorCrystalblockrecipes(this));
		elements.add(new MCreatorHamburgerrecipes(this));
		elements.add(new MCreatorRawbeefrecipes(this));
		elements.add(new MCreatorAgil(this));
		elements.add(new MCreatorAsuna(this));
		elements.add(new MCreatorDiabel(this));
		elements.add(new MCreatorDucker(this));
		elements.add(new MCreatorGameMaster(this));
		elements.add(new MCreatorHeatcliff(this));
		elements.add(new MCreatorKlein(this));
		elements.add(new MCreatorLaughingcoffingmember(this));
		elements.add(new MCreatorLizbeth(this));
		elements.add(new MCreatorSachi(this));
		elements.add(new MCreatorSilica(this));
		elements.add(new MCreatorKiritobetatester(this));
		elements.add(new MCreatorAsunaStarter(this));
		elements.add(new MCreatorKleinstarter(this));
	}

	@Override
	public int getBurnTime(ItemStack fuel) {
		for (ModElement element : elements) {
			int ret = element.addFuel(fuel);
			if (ret != 0)
				return ret;
		}
		return 0;
	}

	@Override
	public void generate(Random random, int chunkX, int chunkZ, World world, IChunkGenerator cg, IChunkProvider cp) {
		elements.forEach(element -> element.generateWorld(random, chunkX * 16, chunkZ * 16, world, world.provider.getDimension(), cg, cp));
	}

	@SubscribeEvent
	public void registerBlocks(RegistryEvent.Register<Block> event) {
		event.getRegistry().registerAll(blocks.stream().map(Supplier::get).toArray(Block[]::new));
	}

	@SubscribeEvent
	public void registerItems(RegistryEvent.Register<Item> event) {
		event.getRegistry().registerAll(items.stream().map(Supplier::get).toArray(Item[]::new));
	}

	@SubscribeEvent
	public void registerBiomes(RegistryEvent.Register<Biome> event) {
		event.getRegistry().registerAll(biomes.stream().map(Supplier::get).toArray(Biome[]::new));
	}

	@SubscribeEvent
	public void registerEntities(RegistryEvent.Register<EntityEntry> event) {
		event.getRegistry().registerAll(entities.stream().map(Supplier::get).toArray(EntityEntry[]::new));
	}

	@SubscribeEvent
	public void registerPotions(RegistryEvent.Register<Potion> event) {
		event.getRegistry().registerAll(potions.stream().map(Supplier::get).toArray(Potion[]::new));
	}

	@SubscribeEvent
	public void registerSounds(RegistryEvent.Register<net.minecraft.util.SoundEvent> event) {
		ResourceLocation sound0 = new ResourceLocation("sword_art_online_mod", "S.A.O. sigla");
		event.getRegistry().register(new net.minecraft.util.SoundEvent(sound0).setRegistryName(sound0));
	}

	@SubscribeEvent
	@SideOnly(Side.CLIENT)
	public void registerModels(ModelRegistryEvent event) {
		elements.forEach(element -> element.registerModels(event));
	}

	@EventHandler
	public void preInit(FMLPreInitializationEvent event) {
		MinecraftForge.EVENT_BUS.register(this);
		GameRegistry.registerFuelHandler(this);
		GameRegistry.registerWorldGenerator(this, 5);
		NetworkRegistry.INSTANCE.registerGuiHandler(this, new GuiHandler());
		elements.forEach(element -> element.preInit(event));
		proxy.preInit(event);
	}

	@EventHandler
	public void init(FMLInitializationEvent event) {
		elements.forEach(element -> element.init(event));
		proxy.init(event);
	}

	@EventHandler
	public void serverLoad(FMLServerStartingEvent event) {
		elements.forEach(element -> element.serverLoad(event));
	}

	public static class GuiHandler implements IGuiHandler {

		@Override
		public Object getServerGuiElement(int id, EntityPlayer player, World world, int x, int y, int z) {
			return null;
		}

		@Override
		public Object getClientGuiElement(int id, EntityPlayer player, World world, int x, int y, int z) {
			return null;
		}
	}

	public static class ModElement {

		public static sword_art_online_mod instance;

		public ModElement(sword_art_online_mod instance) {
			this.instance = instance;
		}

		public void init(FMLInitializationEvent event) {
		}

		public void preInit(FMLPreInitializationEvent event) {
		}

		public void generateWorld(Random random, int posX, int posZ, World world, int dimID, IChunkGenerator cg, IChunkProvider cp) {
		}

		public void serverLoad(FMLServerStartingEvent event) {
		}

		public void registerModels(ModelRegistryEvent event) {
		}

		public int addFuel(ItemStack fuel) {
			return 0;
		}
	}
}
